Package twisted :: Package web :: Module static :: Class FileTransfer

[frames | no frames]

## Class FileTransfer

    Jellyable --+
                |
     Serializable --+
                    |
             Viewable --+
                        |
                       FileTransfer

A class to represent the transfer of a file over the network.

Method Summary
| `__init__(self, file, size, request)`
| `__hook_orig_twisted_web_static_FileTransfer_resumeProducing__(self)`
| `__hook_orig_twisted_web_static_FileTransfer_stopProducing__(self)`
| `pauseProducing(self)`
| `resumeProducing(*args, **kw)`
| `stopProducing(*args, **kw)`
| `view_pauseProducing(self, issuer)`
| `view_resumeProducing(self, issuer)`
| `view_stopProducing(self, issuer)`
Inherited from Viewable
| ``jellyFor`(self, jellier)` Serialize a `ViewPoint` for me and the perspective of the given broker.
Inherited from Serializable
| ``processUniqueID`(self)` Return an ID which uniquely represents this object for this process.
Inherited from Jellyable
| ``getStateFor`(self, jellier)`

Class Variable Summary
`list` | `__hook_post_twisted_web_static_FileTransfer_resumeProducing__` = `[<function _synchPost at 0x81d542c>]`
`list` | `__hook_post_twisted_web_static_FileTransfer_stopProducing__` = `[<function _synchPost at 0x81d542c>]`
`list` | `__hook_pre_twisted_web_static_FileTransfer_resumeProducing__` = `[<function _synchPre at 0x823753c>]`
`list` | `__hook_pre_twisted_web_static_FileTransfer_stopProducing__` = `[<function _synchPre at 0x823753c>]`
`NoneType` | `request` = None
`list` | `synchronized` = `['resumeProducing', 'stopProducing']`
Inherited from Jellyable
`tuple` | `__implements__` = `(<class twisted.spread.interfaces.IJell...`

Class Variable Details

### __hook_post_twisted_web_static_FileTransfer_resumeProducing__

  Type:
    `list`
  Value:

        [<function _synchPost at 0x81d542c>]

### __hook_post_twisted_web_static_FileTransfer_stopProducing__

  Type:
    `list`
  Value:

        [<function _synchPost at 0x81d542c>]

### __hook_pre_twisted_web_static_FileTransfer_resumeProducing__

  Type:
    `list`
  Value:

        [<function _synchPre at 0x823753c>]

### __hook_pre_twisted_web_static_FileTransfer_stopProducing__

  Type:
    `list`
  Value:

        [<function _synchPre at 0x823753c>]

### request

  Type:
    `NoneType`
  Value:

        None

### synchronized

  Type:
    `list`
  Value:

        ['resumeProducing', 'stopProducing']

Generated by Epydoc 2.0 on Sat May 15 20:08:57 2004 | http://epydoc.sf.net